// Ex7_2.cpp
#include <stdio.h>
#include <stdlib.h>

int **matr(int &l,int &p)
{int **m;
 int i,j;
 printf(" input size of massiv   \n");
 scanf("%d %d",&l,&p);

 printf(" input %4d strok iz %4d elementov\n",l,p);
 m=new int* [l];
 for (i=0;i<l;i++)
 { m[i]=new int[p];
   for (j=0;j<p;j++)
       scanf("%3d",*(m+i)+j);}
 return m;
}
void sortmas(int **m,int n,int l)
{int i,j;
 for(i=0;i<n;i++)
   for(j=0;j<l;j++)
    if (m[i][j]<0) m[i][j]=abs(m[i][j]);
  }

int main(int argc, char* argv[])
{int n,l,**mat,i,j;
mat=matr(n,l);

printf("\n ===== inputed massiv ==== \n");
for(i=0;i<n;i++)
 for(j=0;j<l;j++)
     printf("%4d%c",mat[i][j],(j==l-1)?'\n':' ');
     sortmas(mat,n,l);


     printf("\n sorted  massiv\n");
     for(i=0;i<n;i++)
      for(j=0;j<l;j++)
       printf("%4d%c",mat[i][j],(j==l-1)?'\n':' ');


     for (i=0;i<n;i++)
      delete [] mat[i];
     delete [] mat;
         return 0;
     }
